[Overview][Classes][Procedures and functions][Index] | Reference for unit 'JSONPropStorage' (#lcl)

# TCustomJSONPropStorage.DoReadString

Performs actions needed to read the value for the specified section and identifier as a String type.

## Declaration

Source position: jsonpropstorage.pas line 39

`public function TCustomJSONPropStorage.DoReadString(`
`const Section: string;`
`const Ident: string;`
`const Default: string`
`):string; override;`

## Arguments

`Section` |  | The section to be read in the method.
`Ident` |  | The identifier to be read in the method.
`Default` |  | Default value returned for the specified section and identifier when either the section or identifier was not found in JSONConf.

## Function result

Returns the value for the section/ident requested.

## Description

DoReadString is an overridden String function used to implement the ReadString method in the TCustomPropertyStorage ancestor. DoReadString ensures that the value for Section and Ident is converted from the UTF-16 encoding (UnicodeString) used in JSONConf (TJSONConfig) to the UTF-8 encoding used in the return value.

## See also

TCustomJSONPropStorage.JSONConf |  | TJSONConfig instance used to store path/value pairs.